A class describing a range of vertices and indices, thus referencing a subset of a Mesh.

### Hierarchy

- MeshSubset

## Index

### Constructors

- constructor

### Properties

- indexID
- numIndices
- numVertices
- vertexID

### Methods

- setTo

## Constructors

### constructor

- new MeshSubset(vertexID?: number, numVertices?: number, indexID?: number, numIndices?: number): MeshSubset

- - Defined in lib/starling/utils/MeshSubset.d.ts:16

  Creates a new MeshSubset.

  #### Parameters

  - ##### Optional vertexID: number

  - ##### Optional numVertices: number

  - ##### Optional indexID: number

  - ##### Optional numIndices: number

  #### Returns MeshSubset

## Properties

### indexID

indexID: number

- Defined in lib/starling/utils/MeshSubset.d.ts:13

The ID of the first index.

### numIndices

numIndices: number

- Defined in lib/starling/utils/MeshSubset.d.ts:16

The total number of indices.

### numVertices

numVertices: number

- Defined in lib/starling/utils/MeshSubset.d.ts:10

The total number of vertices.

### vertexID

vertexID: number

- Defined in lib/starling/utils/MeshSubset.d.ts:7

The ID of the first vertex.

## Methods

### setTo

- setTo(vertexID?: number, numVertices?: number, indexID?: number, numIndices?: number): void

- - Defined in lib/starling/utils/MeshSubset.d.ts:24

  Changes all properties at once. Call without any arguments to reference a complete mesh.

  #### Parameters

  - ##### Optional vertexID: number

  - ##### Optional numVertices: number

  - ##### Optional indexID: number

  - ##### Optional numIndices: number

  #### Returns void

Generated using TypeDoc